Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface AuthConstraintType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  AuthConstraintTypeImpl

    public interface AuthConstraintType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `auth-constraintType` xsd type

Original Documentation:

The auth-constraintType indicates the user roles that
should be permitted access to this resource
collection. The role-name used here must either correspond
to the role-name of one of the security-role elements
defined for this web application, or be the specially
reserved role-name "*" that is a compact syntax for
indicating all roles in the web application. If both "*"
and rolenames appear, the container interprets this as all
roles. If no roles are defined, no user is allowed access
to the portion of the web application described by the
containing security-constraint. The container matches
role names case sensitively when determining access.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getRoleNameList()` Returns all `role-name` elements
`AuthConstraintType<T>` | `removeAllDescription()` Removes the `description` element
`AuthConstraintType<T>` | `removeAllRoleName()` Removes the `role-name` element
`AuthConstraintType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`AuthConstraintType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`AuthConstraintType<T>` | `setRoleName(java.lang.String roleName)` Creates a new `role-name` element
`AuthConstraintType<T>` | `setRoleNameList(java.lang.String... values)` Creates for all String objects representing `role-name` elements, a new `role-name` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    AuthConstraintType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `AuthConstraintType`

### setDescriptionList

    AuthConstraintType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `AuthConstraintType`

### removeAllDescription

    AuthConstraintType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `AuthConstraintType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setRoleName

    AuthConstraintType<T> setRoleName(java.lang.String roleName)

  Creates a new `role-name` element

  Returns:
    the current instance of `AuthConstraintType`

### setRoleNameList

    AuthConstraintType<T> setRoleNameList(java.lang.String... values)

  Creates for all String objects representing `role-name` elements, a new `role-name` element

  Parameters:
    `list` - of `role-name` objects
  Returns:
    the current instance of `AuthConstraintType`

### removeAllRoleName

    AuthConstraintType<T> removeAllRoleName()

  Removes the `role-name` element

  Returns:
    the current instance of `AuthConstraintType`

### getRoleNameList

    java.util.List<java.lang.String> getRoleNameList()

  Returns all `role-name` elements

  Returns:
    list of `role-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD